
Redmine - Defect #19043

upgrade from 0.9.3 to 2.6.1 leaves issue lft/rgt database fields blank

2015-02-06 06:18 - Daniel Black

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.6.1

Description

As some code paths assume the these aren't blank there is backtraces.

Environment:

Redmine version                2.6.1.stable

Ruby version                   1.9.3-p194 (2012-04-20) [i486-linux]

Rails version                  3.2.21

Environment                    production

Database adapter               PostgreSQL

SCM:

Git                            1.7.10.4

Filesystem

Redmine plugins:

no plugin installed

db:migration was successful.

Started GET "/issues/1527" for 59.167.242.100 at 2015-02-05 23:57:19 -0500

Processing by IssuesController#show as HTML

  Parameters: {"id"=>"1527"}

  Current user: danblack (id=1)

  Rendered issues/_action_menu.html.erb (4.4ms)

  Rendered issues/show.html.erb within layouts/base (4.8ms)

Completed 500 Internal Server Error in 85.7ms

ActionView::Template::Error (undefined method `-' for nil:NilClass):

    3: <%= link_to l(:button_log_time), new_issue_time_entry_path(@issue), :class => 'icon icon-ti

me-add' if User.current.allowed_to?(:log_time, @project) %>

    4: <%= watcher_link(@issue, User.current) %>

    5: <%= link_to l(:button_copy), project_copy_issue_path(@project, @issue), :class => 'icon ico

n-copy' if User.current.allowed_to?(:add_issues, @project) %>

    6: <%= link_to l(:button_delete), issue_path(@issue), :data => {:confirm => issues_destroy_con

firmation_message(@issue)}, :method => :delete, :class => 'icon icon-del' if User.current.allowed_

to?(:delete_issues, @project) %>

    7: </div>

  app/helpers/issues_helper.rb:186:in `block in issues_destroy_confirmation_message'

  app/helpers/issues_helper.rb:186:in `each'

  app/helpers/issues_helper.rb:186:in `inject'

  app/helpers/issues_helper.rb:186:in `issues_destroy_confirmation_message'

  app/views/issues/_action_menu.html.erb:6:in `_app_views_issues__action_menu_html_erb___32050337_

88082350'

  app/views/issues/show.html.erb:1:in `_app_views_issues_show_html_erb__401709787_88338760'

  app/controllers/issues_controller.rb:128:in `block (2 levels) in show'

  app/controllers/issues_controller.rb:125:in `show'

 
Started GET "/projects/ace-hosting/issues" for 59.167.242.100 at 2015-02-06 00:09:43 -0500

Processing by IssuesController#index as HTML

  Parameters: {"project_id"=>"ace-hosting"}

  Current user: danblack (id=1)

  Rendered queries/_filters.html.erb (17.0ms)

  Rendered queries/_columns.html.erb (2.0ms)

  Rendered issues/_list.html.erb (13.7ms)
  Rendered issues/index.html.erb within layouts/base (36.5ms)

Completed 500 Internal Server Error in 133.7ms

ActionView::Template::Error (undefined method `<' for nil:NilClass):

    15:     </tr>

    16:   </thead>

    17:   <% previous_group = false %>

    18:   <tbody>

    19:   <% issue_list(issues) do |issue, level| -%>

    20:   <% if @query.grouped? && (group = @query.group_by_column.value(issue)) != previous_group

 %>

    21:     <% reset_cycle %>

  lib/plugins/awesome_nested_set/lib/awesome_nested_set/model/relatable.rb:114:in `within_node?'

  lib/plugins/awesome_nested_set/lib/awesome_nested_set/model/relatable.rb:54:in `is_descendant_of

?'

  app/helpers/issues_helper.rb:26:in `block in issue_list'

  app/helpers/issues_helper.rb:25:in `each'

  app/helpers/issues_helper.rb:25:in `issue_list'

  app/views/issues/_list.html.erb:18:in `block in _app_views_issues__list_html_erb___498719239_107

193180'

  app/views/issues/_list.html.erb:1:in `_app_views_issues__list_html_erb___498719239_107193180'

  app/views/issues/index.html.erb:63:in `_app_views_issues_index_html_erb__714360211_108178980'

  app/controllers/issues_controller.rb:87:in `block (2 levels) in index'

  app/controllers/issues_controller.rb:86:in `index'

from database issues (description omitted)  
History

#1 - 2015-02-06 06:53 - Daniel Black

- Status changed from New to Resolved

db/migrate/20100313132032_add_issues_nested_sets_columns.rb odd should been set here.

Anyway - have a query to update them now.

#2 - 2015-02-06 08:20 - Toshi MARUYAMA

- Status changed from Resolved to Closed

- Resolution set to Invalid
